Subject: Re: [PATCH iproute2] configure: add missing INCLUDE to netnsid detection

From: Nicolas Dichtel <[email-masked]>
Date: Fri, 10 Apr 2015 18:17:20 +0200

Le 08/04/2015 21:40, Vadim Kochan a écrit :
> On Wed, Apr 08, 2015 at 09:42:00PM +0200, Jiri Benc wrote:
>> Fixes: d116ff34145b0 ("ip netns: Fix rtnl error while print netns list")
>> Signed-off-by: Jiri Benc <[email-masked]>
>> ---
>> The whole check added by d116ff34145b0 is dubious, though. This should be
>> a run time check, not a compile time one.
[snip]
>
> On 3.18 I get same RTNL error with this fix, I agree that runtime checking
> would be better than compile time checking, but how to do it, suppress
> RTNL errors ?
I also hit this issue.
This whole check is done only to bypass some fprintf(stderr) messages from
rtnl_talk().
I think adding a mechanism like iplink_have_newlink() should be enough.

If nobody wants to do it, I will look at this on Monday.

Regards,
Nicolas